Bug 1121261

Summary: neither valid_lft preferred_lft are listed in the ip(8) manpage
Product: [Fedora] Fedora Reporter: Ben Woodard <woodard>
Component: iprouteAssignee: Pavel Šimerda (pavlix) <psimerda>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: rawhideCC: ebenes, jpopelka, qe-baseos-security, rvokal, tgummels, twoerner, woodard
Target Milestone: ---Keywords: Documentation
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1121258 Environment:
Last Closed: 2015-07-07 20:07:51 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
patch that includes a fix none

Description Ben Woodard 2014-07-18 19:22:15 UTC
+++ This bug was initially created as a clone of Bug #1121258 +++

Description of problem:

dracut sets interface parameters called valid_lft and preferred_lft but neither of these options are are documented in the man page. The values set are also listed when you print the interface's configuration.

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever


but it takes a bit of digging to figure out what these values mean. These should be documented in the man page so that people know what they mean and how to set them.

Version-Release number of selected component (if applicable):
iproute-3.14.0-2.fc20.x86_64

How reproducible:
always

--- Additional comment from RHEL Product and Program Management on 2014-07-18 15:18:21 EDT ---

Since this bug report was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 1 Fedora Admin XMLRPC Client 2014-08-20 08:54:13 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Pavel Šimerda (pavlix) 2015-03-13 20:54:38 UTC
Switching to rawhide as it's a rather minor documentation issue to be handled upstream. We might revisit the question of Fedora releases when it's done.

Comment 3 Pavel Šimerda (pavlix) 2015-04-02 14:48:08 UTC
Created attachment 1010224 [details]
patch that includes a fix

Comment 4 Pavel Šimerda (pavlix) 2015-04-10 21:20:31 UTC
Modified in rawhide, no build yet, not upstream.